{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Parea AI","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"favicon":"/favicon.png","logo":{"light":"https://mintcdn.com/pareaai/3kurg3MZRrsWWk8t/logo/parea-light.png?fit=max\u0026auto=format\u0026n=3kurg3MZRrsWWk8t\u0026q=85\u0026s=c32fc81b38c3586ed7187a84b3e0c8d9","dark":"https://mintcdn.com/pareaai/3kurg3MZRrsWWk8t/logo/parea-dark.png?fit=max\u0026auto=format\u0026n=3kurg3MZRrsWWk8t\u0026q=85\u0026s=0c9b98a6abbc1a8b0851dda2467305d3"},"api":{"playground":{"display":"simple"},"mdx":{"server":"https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1","auth":{"method":"key","name":"x-api-key"}}},"background":{"decoration":null,"color":{"light":null,"dark":"#090014"}},"navbar":{"links":[{"label":"Discord","href":"https://discord.gg/p7CUwSKJD6"}],"primary":{"type":"button","label":"HomePage","href":"https://www.parea.ai/"}},"footer":{"socials":{"twitter":"https://twitter.com/PareaAI","github":"https://github.com/parea-ai","linkedin":"https://www.linkedin.com/company/parea-ai/"}},"integrations":{"posthog":{"apiKey":"phc_QJDW2uNYJGwIl7dXs4WLDWEuntie6Ye1TQRW9p3re18","apiHost":"https://eu.posthog.com"}},"navigation":{"global":{"anchors":[{"anchor":"Github","href":"https://github.com/parea-ai/parea-sdk","icon":"github"},{"anchor":"Discord","href":"https://discord.gg/p7CUwSKJD6","icon":"discord"},{"anchor":"Chat with Founders","href":"https://calendly.com/parea-ai/chat","icon":"phone"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"pareaai","hasAudioNarration":false,"actualSubdomain":"pareaai","customDomains":["docs.parea.ai"],"gitSource":{"type":"github","owner":"parea-ai","repo":"parea-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e60a4c43fec466d7925c","collectionId":"662c90c1-bcb2-4744-a0d9-5f805b4d92b4","schemaVersion":"v2"},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6ae91a1817875ca6d2a3d8fd:success","clientVersion":"0.0.4071","searchFilterCounts":[{"language":"default","tag":"Documentation","count":40},{"language":"default","tag":"Guides","count":33},{"language":"default","tag":"API Reference","count":22},{"language":"default","tag":"Blog","count":22},{"language":"default","tag":"Observability","count":11},{"language":"default","tag":"Integrations","count":7},{"language":"default","tag":"Experiments","count":5},{"language":"default","tag":"Tracing","count":5},{"language":"default","tag":"Manual Review","count":5},{"language":"default","tag":"Playground","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/llm-proxy/fetch-deployed-prompt","slug":"/api-reference/llm-proxy/fetch-deployed-prompt","pageMetadata":{"openapi":"post /api/parea/v1/deployed-prompt","title":"Fetch Deployed Prompt","description":"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.","href":"/api-reference/llm-proxy/fetch-deployed-prompt"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /api/parea/v1/deployed-prompt","title":"Fetch Deployed Prompt","description":"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.","href":"/api-reference/llm-proxy/fetch-deployed-prompt"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,RequestExample}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);return _jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`python`,numberOfLines:`9`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`9`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`p `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` Parea(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`api_key`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"PAREA_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) `}),_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# replace with your API key`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`def`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` main`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`() -> UseDeployedPromptResponse:`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` return`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` p.get_prompt(`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` UseDeployedPrompt(`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` deployment_id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"p-qZrnFesaeCpqcXJ_yL3wi\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` llm_inputs`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"x\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Python\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"y\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Flask\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` )`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` )`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`typescript`,numberOfLines:`10`,language:`typescript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`typescript`,children:_jsxs(_components.code,{language:`typescript`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` p`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` Parea`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"PAREA_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`); `}),_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// replace with your API key`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`export`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` const`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` main`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` async`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ()`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#4EC9B0`},children:` Promise`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`\u003c`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#4EC9B0`},children:`UseDeployedPromptResponse`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`> `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`=>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` return`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`getPrompt`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` deployment_id:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'p-qZrnFesaeCpqcXJ_yL3wi'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` llm_inputs:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` x:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Python\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`y:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Flask\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` });`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`};`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Example Request`,numberOfLines:`7`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`7`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --location`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/deployed-prompt'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'x-api-key: PAREA_API_KEY'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--data `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"deployment_id\": \"p-qZrnFesaeCpqcXJ_yL3wi\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"llm_inputs\": {\"x\": \"Python\", \"y\": \"Flask\"}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /api/parea/v1/deployed-prompt","title":"Fetch Deployed Prompt","description":"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.","href":"/api-reference/llm-proxy/fetch-deployed-prompt"}}}},"mdxExtracts":{"tableOfContents":[],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"python","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"python\">\u003ccode language=\"python\" numberOfLines=\"9\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">p \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> Parea(\u003c/span>\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\">api_key\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"PAREA_API_KEY\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">) \u003c/span>\u003cspan style=\"color:#6E7781;--shiki-dark:#6A9955\"># replace with your API key\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">def\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> main\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">() -> UseDeployedPromptResponse:\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> return\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> p.get_prompt(\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> UseDeployedPrompt(\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\"> deployment_id\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"p-qZrnFesaeCpqcXJ_yL3wi\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\"> llm_inputs\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"x\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Python\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"y\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Flask\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">},\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> )\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> )\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"typescript","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"typescript\">\u003ccode language=\"typescript\" numberOfLines=\"10\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> p\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> new\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> Parea\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"PAREA_API_KEY\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">); \u003c/span>\u003cspan style=\"color:#6E7781;--shiki-dark:#6A9955\">// replace with your API key\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">export\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> const\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> main\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> async\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ()\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">:\u003c/span>\u003cspan style=\"color:#953800;--shiki-dark:#4EC9B0\"> Promise\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">\u0026#x3C;\u003c/span>\u003cspan style=\"color:#953800;--shiki-dark:#4EC9B0\">UseDeployedPromptResponse\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">> \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">=>\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> return\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> p\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">getPrompt\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">({\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> deployment_id:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'p-qZrnFesaeCpqcXJ_yL3wi'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> llm_inputs:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> x:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Python\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">y:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Flask\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> });\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">};\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Example Request","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"7\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --location\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/deployed-prompt'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'Content-Type: application/json'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'x-api-key: PAREA_API_KEY'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--data \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"deployment_id\": \"p-qZrnFesaeCpqcXJ_yL3wi\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"llm_inputs\": {\"x\": \"Python\", \"y\": \"Flask\"}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">}'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Fetch Deployed Prompt","description":"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.","operationId":"fetch_deployed_prompt_api_parea_v1_deployed_prompt_post","requestBody":"8eec6782-ee85-4899-8548-d3b9324cea2a","responses":{"200":"4ebd8534-da9e-4336-9e87-7f65c03d2ca0","422":"6510949d-2020-4e8f-bdd4-50a042c0dab9"},"security":["ffc1925b-b3c4-4c45-af51-c0e12066664f","2757fd23-ff9e-4f90-ad44-64c4aaebe528","3fc09ad7-64f6-4a20-add3-128c3eeb77a9"],"method":"post","type":"path","servers":[],"path":"/api/parea/v1/deployed-prompt","baseUrlOptions":["https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1"],"title":"Fetch Deployed Prompt","codeSamples":[],"requiredOnlyExamples":false,"requestExamples":[{"dropdown":false,"language":"python","code":{"type":"pre","key":null,"ref":null,"props":{"className":"shiki shiki-themes github-light-default dark-plus","style":{"backgroundColor":"#ffffff","--shiki-dark-bg":"#0B0C0E","color":"#1f2328","--shiki-dark":"#D4D4D4"},"language":"python","children":{"type":"code","key":null,"ref":null,"props":{"language":"python","numberOfLines":"9","children":[{"type":"span","key":"0","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"p "}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" Parea("}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#9CDCFE"},"children":"api_key"}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"5","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"PAREA_API_KEY\""}},{"type":"span","key":"6","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":") "}},{"type":"span","key":"7","ref":null,"props":{"style":{"color":"#6E7781","--shiki-dark":"#6A9955"},"children":"# replace with your API key"}}]}},"\n",{"type":"span","key":"2","ref":null,"props":{"className":"line","children":null}},"\n",{"type":"span","key":"4","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#569CD6"},"children":"def"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#8250DF","--shiki-dark":"#DCDCAA"},"children":" main"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"() -> UseDeployedPromptResponse:"}}]}},"\n",{"type":"span","key":"6","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#C586C0"},"children":" return"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" p.get_prompt("}}]}},"\n",{"type":"span","key":"8","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" UseDeployedPrompt("}}}},"\n",{"type":"span","key":"10","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#9CDCFE"},"children":" deployment_id"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"p-qZrnFesaeCpqcXJ_yL3wi\""}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":","}}]}},"\n",{"type":"span","key":"12","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#9CDCFE"},"children":" llm_inputs"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"{"}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"x\""}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":": "}},{"type":"span","key":"5","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"Python\""}},{"type":"span","key":"6","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":", "}},{"type":"span","key":"7","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"y\""}},{"type":"span","key":"8","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":": "}},{"type":"span","key":"9","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"Flask\""}},{"type":"span","key":"10","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"},"}}]}},"\n",{"type":"span","key":"14","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" )"}}}},"\n",{"type":"span","key":"16","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" )"}}}},"\n"]}}}},"filename":"python"},{"dropdown":false,"language":"typescript","code":{"type":"pre","key":null,"ref":null,"props":{"className":"shiki shiki-themes github-light-default dark-plus","style":{"backgroundColor":"#ffffff","--shiki-dark-bg":"#0B0C0E","color":"#1f2328","--shiki-dark":"#D4D4D4"},"language":"typescript","children":{"type":"code","key":null,"ref":null,"props":{"language":"typescript","numberOfLines":"10","children":[{"type":"span","key":"0","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#569CD6"},"children":"const"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0550AE","--shiki-dark":"#4FC1FF"},"children":" p"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":" ="}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#569CD6"},"children":" new"}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#8250DF","--shiki-dark":"#DCDCAA"},"children":" Parea"}},{"type":"span","key":"5","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"("}},{"type":"span","key":"6","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"PAREA_API_KEY\""}},{"type":"span","key":"7","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"); "}},{"type":"span","key":"8","ref":null,"props":{"style":{"color":"#6E7781","--shiki-dark":"#6A9955"},"children":"// replace with your API key"}}]}},"\n",{"type":"span","key":"2","ref":null,"props":{"className":"line","children":null}},"\n",{"type":"span","key":"4","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#C586C0"},"children":"export"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#569CD6"},"children":" const"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#8250DF","--shiki-dark":"#DCDCAA"},"children":" main"}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":" ="}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#569CD6"},"children":" async"}},{"type":"span","key":"5","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" ()"}},{"type":"span","key":"6","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":":"}},{"type":"span","key":"7","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#4EC9B0"},"children":" Promise"}},{"type":"span","key":"8","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"\u003c"}},{"type":"span","key":"9","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#4EC9B0"},"children":"UseDeployedPromptResponse"}},{"type":"span","key":"10","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"> "}},{"type":"span","key":"11","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#569CD6"},"children":"=>"}},{"type":"span","key":"12","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" {"}}]}},"\n",{"type":"span","key":"6","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#C586C0"},"children":" return"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#C586C0"},"children":" await"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#9CDCFE"},"children":" p"}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"."}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#8250DF","--shiki-dark":"#DCDCAA"},"children":"getPrompt"}},{"type":"span","key":"5","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"({"}}]}},"\n",{"type":"span","key":"8","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#9CDCFE"},"children":" deployment_id:"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" 'p-qZrnFesaeCpqcXJ_yL3wi'"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":","}}]}},"\n",{"type":"span","key":"10","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#9CDCFE"},"children":" llm_inputs:"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" {"}}]}},"\n",{"type":"span","key":"12","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#9CDCFE"},"children":" x:"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" \"Python\""}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":", "}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#9CDCFE"},"children":"y:"}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" \"Flask\""}},{"type":"span","key":"5","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":","}}]}},"\n",{"type":"span","key":"14","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" },"}}}},"\n",{"type":"span","key":"16","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" });"}}}},"\n",{"type":"span","key":"18","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"};"}}}},"\n"]}}}},"filename":"typescript"},{"dropdown":false,"language":"shellscript","code":{"type":"pre","key":null,"ref":null,"props":{"className":"shiki shiki-themes github-light-default dark-plus","style":{"backgroundColor":"#ffffff","--shiki-dark-bg":"#0B0C0E","color":"#1f2328","--shiki-dark":"#D4D4D4"},"language":"shellscript","children":{"type":"code","key":null,"ref":null,"props":{"language":"shellscript","numberOfLines":"7","children":[{"type":"span","key":"0","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#DCDCAA"},"children":"curl"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0550AE","--shiki-dark":"#569CD6"},"children":" --location"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/deployed-prompt'"}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D7BA7D"},"children":" \\"}}]}},"\n",{"type":"span","key":"2","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"--header "}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"'Content-Type: application/json'"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D7BA7D"},"children":" \\"}}]}},"\n",{"type":"span","key":"4","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"--header "}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"'x-api-key: PAREA_API_KEY'"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D7BA7D"},"children":" \\"}}]}},"\n",{"type":"span","key":"6","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"--data "}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"'{"}}]}},"\n",{"type":"span","key":"8","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" \"deployment_id\": \"p-qZrnFesaeCpqcXJ_yL3wi\","}}}},"\n",{"type":"span","key":"10","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" \"llm_inputs\": {\"x\": \"Python\", \"y\": \"Flask\"}"}}}},"\n",{"type":"span","key":"12","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"}'"}}}},"\n"]}}}},"filename":"Example Request"}],"requestExampleType":"mdx","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"properties":{"deployment_id":{"type":"string","title":"Deployment Id","description":"ID of deployed prompt","isRequired":true,"uniqueKey":"deployment_id","typeLabel":"string"},"llm_inputs":{"oneOf":[{"type":"object","title":"Llm Inputs","description":"If provided, these key-value pairs will be used to replace the corresponding keys in the templated prompt","uniqueKey":"llm_inputs.oneOf.0","typeLabel":"Llm Inputs · object"},{"type":"null","title":"Llm Inputs","description":"If provided, these key-value pairs will be used to replace the corresponding keys in the templated prompt","uniqueKey":"llm_inputs.oneOf.1","typeLabel":"null"}],"uniqueKey":"llm_inputs","typeLabel":"Llm Inputs · object | null"}},"type":"object","required":["deployment_id"],"title":"DeploymentPromptIdSchema","example":{"deployment_id":"p-qZrnFesaeCpqcXJ_yL3wi","llm_inputs":{"x":"Python","y":"Flask"}},"uniqueKey":"","typeLabel":"DeploymentPromptIdSchema · object"},"examples":{"Example":{"title":"Example","value":{"deployment_id":"p-qZrnFesaeCpqcXJ_yL3wi","llm_inputs":{"x":"Python","y":"Flask"}}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"4ebd8534-da9e-4336-9e87-7f65c03d2ca0":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"deployment_id":{"type":"string","title":"Deployment Id","description":"This is the ID for a deployed prompt. You can find your deployed prompts on the Deployments tab.","isRequired":true,"uniqueKey":"deployment_id","typeLabel":"string"},"version_number":{"type":"number","title":"Version Number","description":"Version number of the deployed prompt","isRequired":true,"uniqueKey":"version_number","typeLabel":"number"},"name":{"oneOf":[{"type":"string","title":"Name","description":"Name of the deployed prompt","uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Name","description":"Name of the deployed prompt","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"functions":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"functions.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Functions","description":"If deployed prompt has function, these will appear as JSON strings.","uniqueKey":"functions.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Functions","description":"If deployed prompt has function, these will appear as JSON strings.","uniqueKey":"functions.oneOf.1","typeLabel":"null"}],"uniqueKey":"functions","typeLabel":"string[] | null"},"function_call":{"oneOf":[{"type":"string","title":"Function Call","description":"If deployed prompt has a specified function call, it will appear.","uniqueKey":"function_call.oneOf.0","typeLabel":"string"},{"type":"null","title":"Function Call","description":"If deployed prompt has a specified function call, it will appear.","uniqueKey":"function_call.oneOf.1","typeLabel":"null"}],"uniqueKey":"function_call","typeLabel":"string | null"},"prompt":{"oneOf":[{"type":"object","title":"PromptSchema","description":"The messages of the deployed prompt","required":["raw_messages","messages"],"properties":{"raw_messages":{"items":{"type":"object","uniqueKey":"prompt.oneOf.0.raw_messages.items.[INDEX]","typeLabel":"object"},"type":"array","title":"Raw Messages","description":"List of templated messages as they were created in the UI.","isRequired":true,"uniqueKey":"prompt.oneOf.0.raw_messages","typeLabel":"Raw Messages · object[]"},"messages":{"items":{"type":"object","uniqueKey":"prompt.oneOf.0.messages.items.[INDEX]","typeLabel":"object"},"type":"array","title":"Messages","description":"If `inputs` were given in request, these messages will be the filled-in version of `raw_messages`. Otherwise, they will be the same as `raw_messages`.","isRequired":true,"uniqueKey":"prompt.oneOf.0.messages","typeLabel":"Messages · object[]"},"inputs":{"oneOf":[{"type":"object","title":"Inputs","description":"If you would like to fill in your prompt template with inputs you can provided then as a dictionary. The keys should match the names of the deployed prompt template’s variables.","uniqueKey":"prompt.oneOf.0.inputs.oneOf.0","typeLabel":"Inputs · object"},{"type":"null","title":"Inputs","description":"If you would like to fill in your prompt template with inputs you can provided then as a dictionary. The keys should match the names of the deployed prompt template’s variables.","uniqueKey":"prompt.oneOf.0.inputs.oneOf.1","typeLabel":"null"}],"uniqueKey":"prompt.oneOf.0.inputs","typeLabel":"Inputs · object | null"}},"uniqueKey":"prompt.oneOf.0","typeLabel":"PromptSchema · object"},{"type":"null","description":"The messages of the deployed prompt","uniqueKey":"prompt.oneOf.1","typeLabel":"null"}],"uniqueKey":"prompt","typeLabel":"PromptSchema · object | null"},"model":{"oneOf":[{"type":"string","title":"Model","description":"Model name of deployed prompt","uniqueKey":"model.oneOf.0","typeLabel":"string"},{"type":"null","title":"Model","description":"Model name of deployed prompt","uniqueKey":"model.oneOf.1","typeLabel":"null"}],"uniqueKey":"model","typeLabel":"string | null"},"provider":{"oneOf":[{"type":"string","title":"ProviderName","description":"Provider name of deployed prompt","enum":["openai","azure","anthropic","anyscale","vertexai","aws_bedrock","openrouter","mistral","litellm","groq","fireworks","cohere"],"uniqueKey":"provider.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Provider name of deployed prompt","uniqueKey":"provider.oneOf.1","typeLabel":"null"}],"uniqueKey":"provider","typeLabel":"enum\u003cstring> | null"},"model_params":{"oneOf":[{"type":"object","title":"Model Params","description":"Model parameters of deployed prompt","uniqueKey":"model_params.oneOf.0","typeLabel":"Model Params · object"},{"type":"null","title":"Model Params","description":"Model parameters of deployed prompt","uniqueKey":"model_params.oneOf.1","typeLabel":"null"}],"uniqueKey":"model_params","typeLabel":"Model Params · object | null"}},"type":"object","required":["deployment_id","version_number"],"title":"GetDeployedPromptResponseSchema","examples":[{"deployment_id":"p-qZrnFesaeCpqcXJ_yL3wi","functions":[],"model":"gpt-4o-mini","model_params":{"frequency_penalty":0,"presence_penalty":0,"temp":0.5,"top_p":1},"name":"hello world","prompt":{"inputs":{"x":"Python","y":"Flask"},"messages":[{"content":"I want a Hello World program in Python. Using the Flask framework.","role":"user"}],"raw_messages":[{"content":"I want a Hello World program in {{x}}. Using the {{y}} framework.","role":"user"}]},"provider":"openai","version_number":1}],"uniqueKey":"","typeLabel":"GetDeployedPromptResponseSchema · object"},"examples":{"Example":{"title":"Example","value":{"deployment_id":"p-qZrnFesaeCpqcXJ_yL3wi","functions":[],"model":"gpt-4o-mini","model_params":{"frequency_penalty":0,"presence_penalty":0,"temp":0.5,"top_p":1},"name":"hello world","prompt":{"inputs":{"x":"Python","y":"Flask"},"messages":[{"content":"I want a Hello World program in Python. Using the Flask framework.","role":"user"}],"raw_messages":[{"content":"I want a Hello World program in {{x}}. Using the {{y}} framework.","role":"user"}]},"provider":"openai","version_number":1}}},"exampleType":"generated"}},"exampleType":"generated"},"6510949d-2020-4e8f-bdd4-50a042c0dab9":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"ffc1925b-b3c4-4c45-af51-c0e12066664f":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"x-user-id","scopes":[]}},"2757fd23-ff9e-4f90-ad44-64c4aaebe528":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"x-user-id","scopes":[]}},"3fc09ad7-64f6-4a20-add3-128c3eeb77a9":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"x-user-id","scopes":[]}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-user-id","scopes":[]},"schema":{"title":"x-user-id","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"APIKeyHeader","name":"x-user-id"}],"title":"APIKeyHeader"},{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-user-id","scopes":[]},"schema":{"title":"x-user-id","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"APIKeyHeader","name":"x-user-id"}],"title":"APIKeyHeader"},{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-user-id","scopes":[]},"schema":{"title":"x-user-id","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"APIKeyHeader","name":"x-user-id"}],"title":"APIKeyHeader"}]},"originalFileLocation":"openapi.json"},"subdomain":"pareaai","siteName":"Parea AI","title":"Fetch Deployed Prompt - Parea AI","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-06T22:58:28.215Z","originalFileLocation":"api-reference/llm-proxy/fetch-deployed-prompt.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Parea AI\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Fetch Deployed Prompt - Parea AI\">\u003cmeta data-mint-head property=\"og:description\" content=\"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Parea AI\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://pareaai.mintlify.app/_mintlify/api/og/v2?division=LLM+Proxy\u0026amp;title=Fetch+Deployed+Prompt\u0026amp;description=Given+a+deployment_id%2C+fetches+the+deployed+prompt+and+its+details.+Can+be+optionally+used+to+fill-in+the+templated+prompt+with+provided+inputs.\u0026amp;theme=76f3f976f3374a923e121b3f\u0026amp;signature=498df0df1917747c90bc5d2264c9348e7e54f12ac93b4b2e0b8a2f3c7e9d98cd\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Fetch Deployed Prompt - Parea AI\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://pareaai.mintlify.app/_mintlify/api/og/v2?division=LLM+Proxy\u0026amp;title=Fetch+Deployed+Prompt\u0026amp;description=Given+a+deployment_id%2C+fetches+the+deployed+prompt+and+its+details.+Can+be+optionally+used+to+fill-in+the+templated+prompt+with+provided+inputs.\u0026amp;theme=76f3f976f3374a923e121b3f\u0026amp;signature=498df0df1917747c90bc5d2264c9348e7e54f12ac93b4b2e0b8a2f3c7e9d98cd\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/pareaai/gB2mc3qTsxvE_WBo/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Parea AI\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/llm-proxy/fetch-deployed-prompt.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.parea.ai/#organization\",\"name\":\"Parea AI\",\"url\":\"https://docs.parea.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/pareaai/3kurg3MZRrsWWk8t/logo/parea-light.png?fit=max\u0026auto=format\u0026n=3kurg3MZRrsWWk8t\u0026q=85\u0026s=c32fc81b38c3586ed7187a84b3e0c8d9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.parea.ai#website\",\"name\":\"Parea AI\",\"url\":\"https://docs.parea.ai\",\"publisher\":{\"@id\":\"https://docs.parea.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt#webpage\",\"url\":\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt\",\"name\":\"Fetch Deployed Prompt\",\"description\":\"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.\",\"dateModified\":\"2026-01-06T22:58:28.215Z\",\"isPartOf\":{\"@id\":\"https://docs.parea.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"LLM Proxy\",\"item\":\"https://docs.parea.ai/api-reference/llm-proxy/completion\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Fetch Deployed Prompt\",\"item\":\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt#apireference\",\"headline\":\"Fetch Deployed Prompt\",\"name\":\"Fetch Deployed Prompt\",\"description\":\"Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.\",\"url\":\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt\",\"mainEntityOfPage\":{\"@id\":\"https://docs.parea.ai/api-reference/llm-proxy/fetch-deployed-prompt#webpage\"},\"dateModified\":\"2026-01-06T22:58:28.215Z\",\"publisher\":{\"@id\":\"https://docs.parea.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.parea.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Parea AI\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Parea AI","nav":{"global":{"anchors":[{"anchor":"Github","href":"https://github.com/parea-ai/parea-sdk","icon":"github"},{"anchor":"Discord","href":"https://discord.gg/p7CUwSKJD6","icon":"discord"},{"anchor":"Chat with Founders","href":"https://calendly.com/parea-ai/chat","icon":"phone"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/welcome/what_is_parea_ai"}]},{"tab":"API Reference","groups":[{"group":"General","pages":[{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Create or get Project","openapi":"post /api/parea/v1/project","href":"/api-reference/general/create-or-get-project"},{"openapi":"get /api/parea/v1/","title":"Health Check","href":"/api-reference/general/health-check"}]},{"group":"Tracing","pages":[{"openapi":"post /api/parea/v1/trace_log","title":"Record Trace Log","href":"/api-reference/tracing/record-trace-log"},{"openapi":"post /api/parea/v1/feedback","title":"Record Feedback","href":"/api-reference/tracing/record-feedback"},{"openapi":"put /api/parea/v1/trace_log","title":"Update Trace Log","href":"/api-reference/tracing/update-trace-log"},{"title":"Get Trace Logs","openapi":"post /api/parea/v1/get_trace_logs","href":"/api-reference/tracing/get-trace-logs"},{"title":"Get Trace Log","openapi":"get /api/parea/v1/trace_log/{trace_id}","href":"/api-reference/tracing/get-trace-log"}]},{"group":"Experiments","pages":[{"title":"Create Experiment","openapi":"post /api/parea/v1/experiment","href":"/api-reference/experiments/create-experiment"},{"title":"Finish Experiment","openapi":"post /api/parea/v1/experiment/{experiment_uuid}/finished","href":"/api-reference/experiments/finish-experiment"},{"title":"Get Experiment Stats","openapi":"get /api/parea/v1/experiment/{experiment_uuid}/stats","href":"/api-reference/experiments/get-experiment-stats"},{"title":"Get Experiment Trace Logs","openapi":"post /api/parea/v1/experiment/{experiment_uuid}/trace_logs","href":"/api-reference/experiments/get-experiment-trace-logs"},{"title":"List Experiments","openapi":"post /api/parea/v1/experiments","href":"/api-reference/experiments/list-experiments"}]},{"group":"LLM Proxy","pages":[{"openapi":"post /api/parea/v1/completion","title":"Completion","href":"/api-reference/llm-proxy/completion"},{"openapi":"post /api/parea/v1/completion/stream","title":"Stream Completion","description":"Get a completion response using either one of your organization’s deployed prompts, or by providing completion details including prompt and inputs in the request.\n\nThis endpoint acts as a LLM gateway/proxy endpoint to generate completions from different LLMs.","href":"/api-reference/llm-proxy/stream-completion"},{"openapi":"post /api/parea/v1/deployed-prompt","title":"Fetch Deployed Prompt","href":"/api-reference/llm-proxy/fetch-deployed-prompt"}]},{"group":"Datasets","pages":[{"openapi":"post /api/parea/v1/collection","title":"Create Collection","description":"Creates a dataset","href":"/api-reference/datasets/create-collection"},{"openapi":"post /api/parea/v1/testcases","title":"Create Test Cases For Dataset","href":"/api-reference/datasets/create-test-cases-for-dataset"},{"openapi":"get /api/parea/v1/collection/{test_collection_identifier}","title":"Get Test Case Collection By Identifier","href":"/api-reference/datasets/get-test-case-collection-by-identifier"},{"openapi":"post /api/parea/v1/update_test_case/{dataset_id}/{test_case_id}","title":"Update Test Case","href":"/api-reference/datasets/update-test-case"}]},{"group":"SDK","pages":[{"title":"Python","href":"/api-reference/sdk/python"},{"title":"TypeScript","href":"/api-reference/sdk/typescript"}]}]},{"tab":"Blog","pages":[{"title":"Blog","href":"/blog/self-improving-domain-specific-alligned-llm-evals-with-human-judgement"}]}]},"basePath":"","title":"Fetch Deployed Prompt - Parea AI","buildId":"dpl_GZsjphRpnhWkstV12jxWNcMHFyox","deploymentId":"dpl_GZsjphRpnhWkstV12jxWNcMHFyox","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B5zPa4Vr.js","utils-CVjrr8Yd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DTgURWzl.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DxTHtkdZ.js","snippetPresets-Cx47o5Vx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-4Fr6y9N_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Dq2ElbEk.js","shallow-BfYl9r69.js","getApiPlaygroundDisplay-Ch3xc7i1.js","CodeSnippet-BsBxuJ1v.js","CodeSnippets-CetzeDL8.js","Page-CYZot51e.js","getPastedJson-BxPKFSJx.js","icon-o0J1Ochb.js","MethodPill-Du3usO5m.js","DuplicateIcon-DJypyMzl.js","createIcon-YMA6N8KJ.js","DynamicMarkdown-CWvhfcZc.js","SectionHeading-BdLVaXCd.js","axios-vUo_bRtp.js","Markdown-C4Ez6OeV.js","clsx-DptzKFCt.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-Dt1IougW.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CZ6Wt2Vb.js"]}